.lm
.ifnot HLP.hl 1 MISC COMMANDS
.endif hlp
.lm +5
.if hlp;.i-6;3 REQUIRE
.endif hlp
.s.tp5.I -5; _.REQUIRE 'filespec'
.i -5; _.REQ 'filespec'
.p.x REQUIRE
takes the input text from the specified file.  The _.REQUIRE command may be
imbedded in files which have been required.  The required files may be nested
until 
.if RT
7 input files are open at once. An attempt to require a eighth level of
.else rt
5 input files are open at once. An attempt to require a sixth level of
.endif rt
input will cause an error. The default filetype is _.RNO. The filename may be
enclosed in either single (') or double (") quotes. If any commands follow
this command on the same line, they will be ignored. 
.IF HLP
.if RSX.i5;ADDITIONAL HELP AVAILABLE:
.nj.ts+10,+10,+10,+10,+10
EXA	EXB	EXC
.j
.endif RSX
.i-6;4 EXA
.endif hlp
.s
This command makes it easy for you to break up your text into reasonable
chunks.  For example you may wish to put each section in a separate file
and then have a master file which requires each section in order.  If
you need to rearrange the order of the sections you only need to change
the _.REQUIRE statements in the master file.  You also should put the
overall formatting commands such as _.PAGE SIZE, _.DISPLAY, _.HEADER _...
into a separate file which may be required at the beginning of each section.
.p
You may also wish to build up files of commonly used substitutions
and escape sequences.  These can then be easily required at the beginning
of any file that needs them.
.if hlp.i-6;4 EXB
.endif hlp
.p
Another example is generation of a series of letters with the same
body but different inside addresses and salutations.  You would
make a master file containing the inside addresses and salutations.
After each salutation you might put:
.i5; _.REQUIRE "LETTER"
.br; You would then create a file LETTER.RNO with the actual text of the
letter. By running the master file through RNO you would get a string of
personalized letters.  Later on you may change the contents of LETTER.RNO to
get another set of personalized letters for mass mailings. 
.if hlp.i-6;4 EXC
.endif hlp
.bb
.p
A third example is getting input from a terminal.
.if rt
.i5;_.REQUIRE "TT:"
.else rt
.i5;_.REQUIRE "TI:"
.endif rt
.br;This could be very useful when combined with the _.TYPE command.
The _.TYPE could prompt the user, then RNO could accept input from the 
terminal. The input must be terminated by "cntrl" Z.
.if hlp.i-6;3 TYPE
.endif hlp
.s.tp6.i-5;_.TYPE text
.p.x TYPE
This command causes the "text" to be typed on your terminal.  The text may
not be longer than 72 characters. This is useful in tracing the progress of
RNO or it can be used as a prompt before 
.ifnot RT
_.REQ#"TI:" for user input. 
.else rt
_.REQ#"TT:" for user input. 
.endif rt
.i5;(Not available in DSR)
.eb
.if hlp.i-6;3 COMMENT
.endif hlp
.s.tp6.i-5;  _.COMMENT text
.i-5;_.; text
.p.x COMMENT 
causes the line to be ignored. The text is not printed in the output.
Comments may contain useful information which you need when re-editing
the file.  For example you may wish to add comments to a string
of _.DEFINE ESCAPE and _.DEFINE SUBSTITUTE to remind you what each
escape sequence and substitution does.
.bb
.if hlp.i-6;3 TRACE
.endif hlp
.;.s.tp5.i-5;_.TRACE [n1][,n2][,n3] ....
.s.tp5.i-5;_.TRACE
.p.x TRACE
This generates an error message to aid in debugging your .RNO file.
This command is not available in DSR.
.;The parameters each generate some information about the current state of
.;runoff.  The information is printed at your terminal.
.;You include each number corresponding to the information you wish.
.;They are not fully implemented, but they will be in the future.
.;.ts +8,+10,+10.tab right.nf
.;	^&Option	 Result\&
.;	-1	 Print all information
.;	0	 Print current output chapter/page number
.;	1	 Print flags turned on
.;	2	 Print options enabled
.;	3	 Print variants
.;.f.tab left
.eb
